BasePluginConvention (Gradle API 2.14)
Date: 2016-06-14

Package: org.gradle.api.plugins

## [Java] Class BasePluginConvention

- org.gradle.api.plugins.BasePluginConvention

- A Convention used for the BasePlugin.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `BasePluginConvention (Project project)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `String` | `getArchivesBaseName()` The base name to use for archive files.
    `File` | `getDistsDir()` Returns the directory to generate TAR and ZIP archives into.
    `String` | `getDistsDirName()` The name for the distributions directory.
    `File` | `getLibsDir()` Returns the directory to generate JAR and WAR archives into.
    `String` | `getLibsDirName()` The name for the libs directory.
    `org.gradle.api.internal.project.ProjectInternal` | `getProject()`
    `void` | `setArchivesBaseName(String archivesBaseName)`
    `void` | `setDistsDirName(String distsDirName)`
    `void` | `setLibsDirName(String libsDirName)`
    `void` | `setProject(org.gradle.api.internal.project.ProjectInternal project)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class groovy.lang.GroovyObjectSupport` | `groovy.lang.GroovyObjectSupport#setProperty(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#getProperty(java.lang.String), groovy.lang.GroovyObjectSupport#invokeMethod(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#getMetaClass(), groovy.lang.GroovyObjectSupport#setMetaClass(groovy.lang.MetaClass), groovy.lang.GroovyObjectSupport#wait(long, int), groovy.lang.GroovyObjectSupport#wait(long), groovy.lang.GroovyObjectSupport#wait(), groovy.lang.GroovyObjectSupport#equals(java.lang.Object), groovy.lang.GroovyObjectSupport#toString(), groovy.lang.GroovyObjectSupport#hashCode(), groovy.lang.GroovyObjectSupport#getClass(), groovy.lang.GroovyObjectSupport#notify(), groovy.lang.GroovyObjectSupport#notifyAll()`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public BasePluginConvention(Project project)

  - ### Method Detail

    - #### public String getArchivesBaseName()

      The base name to use for archive files.

    - #### public File getDistsDir()

      Returns the directory to generate TAR and ZIP archives into.

      Returns:
        The directory. Never returns null.

    - #### public String getDistsDirName()

      The name for the distributions directory. This in interpreted relative to the project' build directory.

    - #### public File getLibsDir()

      Returns the directory to generate JAR and WAR archives into.

      Returns:
        The directory. Never returns null.

    - #### public String getLibsDirName()

      The name for the libs directory. This in interpreted relative to the project' build directory.

    - #### public org.gradle.api.internal.project.ProjectInternal getProject()

    - #### public void setArchivesBaseName(String archivesBaseName)

    - #### public void setDistsDirName(String distsDirName)

    - #### public void setLibsDirName(String libsDirName)

    - #### public void setProject(org.gradle.api.internal.project.ProjectInternal project)